Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
naturooo

Lisp tạo DIM mới vô cùng đơn giản!

Các bài được khuyến nghị

Khi ta đã có DIM chuẩn với tỉ lệ 1:1, để tạo ra các DIM với các tỉ lệ khác như 1:100, 1:200, … ta có thể tạo với 1 câu lệnh đơn giản bằng lisp sau:

 

; --------------------nd = new dim----------------------
(defun c:nd()      (setvar "cmdecho" 0)
                        (setq a (getint "\nNhap ty le dim : "))
                        (setvar "dimscale" a) 
                        (itoa a)
                        ;(setq b (getstring "\Nhap ten dim: "))
                            (command "DIMSTYLE" "S" a)
)
 

 

:D

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Chào mừng bạn đến diễn đàn.

Cảm ơn bạn vì chia sẻ. 

 

P/s : nếu bạn post code thì hãy cho vào tag code nhé (hình <>)

Lần này mình sửa giúp bạn 

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×